Regarding the mkbundle error, try:<br>export AS=&quot;as -arch i386&quot;<br>mkbundle....<br><br><br><br><div class="gmail_quote">On Sat, Nov 28, 2009 at 12:56 PM, Stifu <span dir="ltr">&lt;<a href="mailto:stifu@free.fr">stifu@free.fr</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;"><br>
Hello,<br>
<br>
About MonoDevelop not working, telling you you don&#39;t have Mono 2.4 or later,<br>
this can happen if you have multiple versions of Mono installed. You could<br>
double check it&#39;s not the case.<br>
<div><div></div><div class="h5"><br>
<br>
Chuck Esterbrook wrote:<br>
&gt;<br>
&gt; Hi,<br>
&gt;<br>
&gt; Poking around the web, I found &quot;monodoc&quot;<br>
&gt; (<a href="http://www.mono-project.com/Monodoc" target="_blank">http://www.mono-project.com/Monodoc</a>), but it doesn&#39;t appear to be<br>
&gt; available for Mac.<br>
&gt;<br>
&gt; I saw someone reference &quot;mdb&quot; in IRC, but that&#39;s missing too.<br>
&gt;<br>
&gt; There is also &quot;mkbundle&quot;, which is present, but not working:<br>
&gt;<br>
&gt; $ mkbundle -o hello hello.exe --deps<br>
&gt; OS is: Darwin<br>
&gt; Sources: 1 Auto-dependencies: True<br>
&gt;    embedding: /Users/chuck/Scrap/dev/sharp/hello.exe<br>
&gt;    embedding:<br>
&gt; /Library/Frameworks/Mono.framework/Versions/<a href="http://2.4.2.3/lib/mono/2.0/mscorlib.dll" target="_blank">2.4.2.3/lib/mono/2.0/mscorlib.dll</a><br>
&gt; Compiling:<br>
&gt; as -o temp.o temp.s<br>
&gt; temp.s:2:unknown section type: symbol_stubs<br>
&gt; temp.s:2:Rest of line ignored. 1st junk character valued 112 (p).<br>
&gt; temp.s:3082:unknown section type: symbol_stubs<br>
&gt; temp.s:3082:Rest of line ignored. 1st junk character valued 112 (p).<br>
&gt; [Fail]<br>
&gt;<br>
&gt; That&#39;s all on Mono 2.4.2.3 on OS X 10.6.1.<br>
&gt;<br>
&gt; I just installed Mono 2.6 preview 1 with no improvement.<br>
&gt;<br>
&gt; Then I tried MonoDevelop for the first time. It won&#39;t launch because<br>
&gt; it claims that I don&#39;t have Mono 2.4 or later (obviously I do). There<br>
&gt; is a MonoDevelop preview download listed with the Mono 2.6 preview,<br>
&gt; but it&#39;s MonoDevelop 2.0 instead of 2.2.<br>
&gt;<br>
&gt; Mono works great for me on Mac in terms of compilers and non-GUI<br>
&gt; libraries. But the other tools seem non-existant or broken.<br>
&gt;<br>
&gt;<br>
&gt; Are there any insights from Mono project folks such as &quot;get monodoc<br>
&gt; here&quot; or &quot;change mkbundle options to this&quot;?<br>
&gt;<br>
&gt; If I need to fill out bug reports, let me know.<br>
&gt;<br>
&gt;<br>
&gt; -Chuck<br>
&gt; _______________________________________________<br>
&gt; Mono-osx mailing list<br>
&gt; <a href="mailto:Mono-osx@lists.ximian.com">Mono-osx@lists.ximian.com</a><br>
&gt; <a href="http://lists.ximian.com/mailman/listinfo/mono-osx" target="_blank">http://lists.ximian.com/mailman/listinfo/mono-osx</a><br>
&gt;<br>
&gt;<br>
<br>
</div></div><font color="#888888">--<br>
View this message in context: <a href="http://old.nabble.com/Requesting-tool-attention-for-OS-X-tp26555333p26555390.html" target="_blank">http://old.nabble.com/Requesting-tool-attention-for-OS-X-tp26555333p26555390.html</a><br>

Sent from the Mono - OSX mailing list archive at Nabble.com.<br>
</font><div><div></div><div class="h5"><br>
_______________________________________________<br>
Mono-osx mailing list<br>
<a href="mailto:Mono-osx@lists.ximian.com">Mono-osx@lists.ximian.com</a><br>
<a href="http://lists.ximian.com/mailman/listinfo/mono-osx" target="_blank">http://lists.ximian.com/mailman/listinfo/mono-osx</a><br>
</div></div></blockquote></div><br>